
From: Ingo Molnar <mingo@elte.hu>

the patch below fixes this crash:

  http://www.graggrag.com/200501271213-oops/no-smp-oops-200501271213.txt

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~rlimit_rt_cpu-fix kernel/sched.c
--- 25/kernel/sched.c~rlimit_rt_cpu-fix	2005-01-27 00:53:17.151571088 -0800
+++ 25-akpm/kernel/sched.c	2005-01-27 00:53:17.159569872 -0800
@@ -836,7 +836,7 @@ static int rt_task_over_cpu_limit(struct
 	 * running on this CPU, and if the current RT CPU usage value
 	 * violates the task's RT CPU rlimit:
 	 */
-	if (!rt_task(p) || !non_rt_tasks(rq))
+	if (!rt_task(p) || !non_rt_tasks(rq) || !p->signal)
 		return 0;
 
 	limit = p->signal->rlim[RLIMIT_RT_CPU].rlim_cur;
_
